<?php
/***************************************************************************
 *                           usercp_viewprofile.php
 *                            -------------------
 *   begin                : Saturday, Feb 13, 2001
 *   copyright            : (C) 2001 The phpBB Group
 *   email                : support@phpbb.com
 *
 *   $Id: usercp_viewprofile.php,v 1.5.2.1 2003/02/25 23:28:30 acydburn Exp $
 *
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *
 ***************************************************************************/

if ( !defined('IN_PHPBB') )
{
	die("Hacking attempt");
	exit;
}

if ( empty($HTTP_GET_VARS[POST_USERS_URL]) || $HTTP_GET_VARS[POST_USERS_URL] == ANONYMOUS )
{
	message_die(GENERAL_MESSAGE, $lang['No_user_id_specified']);
}
$profiledata = get_userdata($HTTP_GET_VARS[POST_USERS_URL]);
// <!-- BEGIN easyUCP -->
if ( !$userdata['session_logged_in']  && $profiledata['user_allow_viewprofile'] ) 
{ 
      redirect(append_sid("login.$phpEx?redirect=profile.$phpEx&mode=viewprofile&".POST_USERS_URL."=".$profiledata['user_id'], true));
      exit; 
}
if ( $profiledata['user_allow_viewprofile_2'] == '-1' || $userdata['user_level'] == ADMIN )
{
	$second_page_allowed = true;
}
else if ( $userdata['session_logged_in'] && $profiledata['user_allow_viewprofile_2'] == '0' || $userdata['user_level'] == MOD )
{
	$second_page_allowed = true;
}
else
{
	$second_page_allowed = false;
	$page = '';
}
( $profiledata['user_allow_viewprofile_2'] == '-2' ) ? $second_page_allowed = false : '';
// <!-- END easyUCP -->
if (!$profiledata)
{
	message_die(GENERAL_MESSAGE, $lang['No_user_id_specified']);
}
$sql = "SELECT *
	FROM " . RANKS_TABLE . "
	ORDER BY rank_special, rank_min";
if ( !($result = $db->sql_query($sql)) )
{
	message_die(GENERAL_ERROR, 'Could not obtain ranks information', '', __LINE__, __FILE__, $sql);
}
$ranksrow = array();
while ( $row = $db->sql_fetchrow($result) )
{
	$ranksrow[] = $row;
}
$db->sql_freeresult($result);

//
// Output page header and profile_view template
//
// <!-- BEGIN easyUCP -->
//	'body' => 'profile_view_body.tpl')
if ( $page )
{
	$second_profile_link .= '<a href="';
	$second_profile_link .= append_sid("profile.$phpEx?mode=viewprofile&u=" . $profiledata['user_id']);
	$second_profile_link .= '">&nbsp;&#171;&nbsp;' . $lang['Previous'] . '</a>';

	$template->set_filenames(array(
		'body' => 'easyucp_second_body.tpl')
	);
} else {
	if ( $second_page_allowed )
	{
		$second_profile_link .= '<a href="';
		$second_profile_link .= append_sid("profile.$phpEx?mode=viewprofile&u=" . $profiledata['user_id'] . "&page=2");
		$second_profile_link .= '">' . $lang['Next'] . '&nbsp;&#187;&nbsp;</a>';
	}

	$template->set_filenames(array(
		'body' => 'easyucp_body.tpl')
	);
}
// <!-- END easyUCP -->
make_jumpbox('viewforum.'.$phpEx);

//
// Calculate the number of days this user has been a member ($memberdays)
// Then calculate their posts per day
//
$regdate = $profiledata['user_regdate'];
$memberdays = max(1, round( ( time() - $regdate ) / 86400 ));
$posts_per_day = $profiledata['user_posts'] / $memberdays;

// Get the users percentage of total posts
if ( $profiledata['user_posts'] != 0  )
{
	$total_posts = get_db_stat('postcount');
	$percentage = ( $total_posts ) ? min(100, ($profiledata['user_posts'] / $total_posts) * 100) : 0;
}
else
{
	$percentage = 0;
}

// Mighty Gorgon - Full Album Pack - BEGIN
include($phpbb_root_path . 'language/lang_' . $board_config['default_lang'] . '/lang_album_main.' . $phpEx);

$album_show_pic_url = 'album_showpage.' . $phpEx;
$album_rate_pic_url = $album_show_pic_url;
$album_comment_pic_url = $album_show_pic_url;

$sql = "SELECT * FROM ". ALBUM_CONFIG_TABLE;
if(!$result = $db->sql_query($sql))
{
	message_die(GENERAL_ERROR, "Could not query album config information", "", __LINE__, __FILE__, $sql);
}
while( $row = $db->sql_fetchrow($result) )
{
	$album_config_name = $row['config_name'];
	$album_config_value = $row['config_value'];
	
	$album_config[$album_config_name] = $album_config_value;
}
$db->sql_freeresult($result);

$limit_sql = $album_config['img_cols'] * $album_config['img_rows'];
$cols_per_page = $album_config['img_cols'];

$sql = "SELECT * FROM " . ALBUM_TABLE . " AS p, " . ALBUM_CAT_TABLE . " AS c
		WHERE c.cat_user_id = " . $profiledata['user_id'] . "
		AND p.pic_cat_id = c.cat_id
		AND p.pic_approval = 1
		ORDER BY pic_time DESC";

if( !($result = $db->sql_query($sql)) )
{
	message_die(GENERAL_ERROR, 'Could not query recent pics information', '', __LINE__, __FILE__, $sql);
}

$recentrow = array();

while($row = $db->sql_fetchrow($result))
{
	$recentrow[] = $row;
}

$totalpicrow = count($recentrow);

$db->sql_freeresult($result);

if ($totalpicrow > 0)
{
	$temp_url = append_sid("album.$phpEx?user_id=" . $profiledata['user_id']);
	$album_img = '<a href="' . $temp_url . '"><img src="' . $images['icon_album'] . '" alt="' . sprintf($lang['Personal_Gallery_Of_User'], $profiledata['username']) . '" title="' . sprintf($lang['Personal_Gallery_Of_User'], $profiledata['username']) . '" border="0" /></a>';
	$album = '<a href="' . $temp_url . '">' . sprintf($lang['Personal_Gallery_Of_User'], $profiledata['username']) . '</a>';

	$template->assign_block_vars('recent_pics_block', array());
	for ($i = 0; $i < (($totalpicrow < $limit_sql) ? $totalpicrow : $limit_sql); $i += $cols_per_page)
	{
		$template->assign_block_vars('recent_pics_block.recent_pics', array());

		for ($j = $i; $j < ($i + $cols_per_page); $j++)
		{
			if( $j >= $totalpicrow )
			{
				break;
			}

			$template->assign_block_vars('recent_pics_block.recent_pics.recent_col', array(
				'U_PIC' => ($album_config['fullpic_popup']) ? append_sid("album_pic.$phpEx?pic_id=". $recentrow[$j]['pic_id']) : append_sid($album_show_pic_url. '?pic_id='. $recentrow[$j]['pic_id']),
				'THUMBNAIL' => append_sid("album_thumbnail.$phpEx?pic_id=". $recentrow[$j]['pic_id']),
				'DESC' => $recentrow[$j]['pic_desc']
				)
			);

			$template->assign_block_vars('recent_pics_block.recent_pics.recent_detail', array(
				'TITLE' => '<a href = "'.$album_show_pic_url . '?pic_id=' . $recentrow[$j]['pic_id'] . '">' . $recentrow[$j]['pic_title'] . '</a>',
				'POSTER' => $recent_poster,
				'TIME' => create_date($board_config['default_dateformat'], $recentrow[$j]['pic_time'], $board_config['board_timezone']),

				'VIEW' => $recentrow[$j]['pic_view_count'],
				)
			);
		}
	}
}
else
{
	$album_img = '';
	$album = '';
}
// Mighty Gorgon - Full Album Pack - END

$avatar_img = '';
if ( $profiledata['user_avatar_type'] && $profiledata['user_allowavatar'] )
{
	switch( $profiledata['user_avatar_type'] )
	{
		case USER_AVATAR_UPLOAD:
			$size = check_avatar_size($board_config['avatar_path'] . '/' . $profiledata['user_avatar'], $board_config['avatar_max_width']);
			$avatar_img = ( $board_config['allow_avatar_upload'] ) ? '<img src="' . $board_config['avatar_path'] . '/' . $profiledata['user_avatar'] . '" '.$size.' alt="" border="0" />' : '';
			break;
		case USER_AVATAR_REMOTE:
			$size = check_avatar_size($profiledata['user_avatar'], $board_config['avatar_max_width']);
			$avatar_img = ( $board_config['allow_avatar_remote'] ) ? '<img src="' . $profiledata['user_avatar'] . '" '.$size.' alt="" border="0" />' : '';
			break;
		case USER_AVATAR_GALLERY:
			$size = check_avatar_size($board_config['avatar_gallery_path'] . '/' . $profiledata['user_avatar'], $board_config['avatar_max_width']);
			$avatar_img = ( $board_config['allow_avatar_local'] ) ? '<img src="' . $board_config['avatar_gallery_path'] . '/' . $profiledata['user_avatar'] . '" '.$size.' alt="" border="0" />' : '';
			break;
	}
}

$poster_rank = '';
$rank_image = '';
if ( $profiledata['user_rank'] )
{
	for($i = 0; $i < count($ranksrow); $i++)
	{
		if ( $profiledata['user_rank'] == $ranksrow[$i]['rank_id'] && $ranksrow[$i]['rank_special'] )
		{
			$poster_rank = $ranksrow[$i]['rank_title'];
			$rank_image = ( $ranksrow[$i]['rank_image'] ) ? '<img src="' . $ranksrow[$i]['rank_image'] . '" alt="' . $poster_rank . '" title="' . $poster_rank . '" border="0" /><br />' : '';
		}
	}
}
else
{
	for($i = 0; $i < count($ranksrow); $i++)
	{
		if ( $profiledata['user_posts'] >= $ranksrow[$i]['rank_min'] && !$ranksrow[$i]['rank_special'] )
		{
			$poster_rank = $ranksrow[$i]['rank_title'];
			$rank_image = ( $ranksrow[$i]['rank_image'] ) ? '<img src="' . $ranksrow[$i]['rank_image'] . '" alt="' . $poster_rank . '" title="' . $poster_rank . '" border="0" /><br />' : '';
		}
	}
}

$temp_url = append_sid("privmsg.$phpEx?mode=post&amp;" . POST_USERS_URL . "=" . $profiledata['user_id']);
$pm_img = '<a href="' . $temp_url . '"><img src="' . $images['icon_pm'] . '" alt="' . $lang['Send_private_message'] . '" title="' . $lang['Send_private_message'] . '" border="0" /></a>';
// FLAGHACK-start
$location = ( $profiledata['user_from'] ) ? $profiledata['user_from'] : '&nbsp;' ;
$flag = ( !empty($profiledata['user_from_flag']) ) ? "&nbsp;<img src=\"images/flags/" . $profiledata['user_from_flag'] . "\" alt=\"" . $profiledata['user_from_flag'] . "\">" : "";
$location .= $flag ;
// FLAGHACK-end
$pm = '<a href="' . $temp_url . '">' . $lang['Send_private_message'] . '</a>';

if ( !empty($profiledata['user_viewemail']) || $userdata['user_level'] == ADMIN )
{
	$email_uri = ( $board_config['board_email_form'] ) ? append_sid("profile.$phpEx?mode=email&amp;" . POST_USERS_URL .'=' . $profiledata['user_id']) : 'mailto:' . $profiledata['user_email'];

	$email_img = '<a href="' . $email_uri . '"><img src="' . $images['icon_email'] . '" alt="' . $lang['Send_email'] . '" title="' . $lang['Send_email'] . '" border="0" /></a>';
	$email = '<a href="' . $email_uri . '">' . $lang['Send_email'] . '</a>';
}
else
{
	$email_img = '&nbsp;';
	$email = '&nbsp;';
}

$www_img = ( $profiledata['user_website'] ) ? '<a href="' . $profiledata['user_website'] . '" target="_userwww"><img src="' . $images['icon_www'] . '" alt="' . $lang['Visit_website'] . '" title="' . $lang['Visit_website'] . '" border="0" /></a>' : '&nbsp;';
$www = ( $profiledata['user_website'] ) ? '<a href="' . $profiledata['user_website'] . '" target="_userwww">' . $profiledata['user_website'] . '</a>' : '&nbsp;';

if ( !empty($profiledata['user_icq']) )
{
	$icq_status_img = '<a href="http://wwp.icq.com/' . $profiledata['user_icq'] . '#pager"><img src="http://web.icq.com/whitepages/online?icq=' . $profiledata['user_icq'] . '&img=5" width="18" height="18" border="0" /></a>';
	$icq_img = '<a href="http://wwp.icq.com/scripts/search.dll?to=' . $profiledata['user_icq'] . '"><img src="' . $images['icon_icq'] . '" alt="' . $lang['ICQ'] . '" title="' . $lang['ICQ'] . '" border="0" /></a>';
	$icq =  '<a href="http://wwp.icq.com/scripts/search.dll?to=' . $profiledata['user_icq'] . '">' . $lang['ICQ'] . '</a>';
}
else
{
	$icq_status_img = '&nbsp;';
	$icq_img = '&nbsp;';
	$icq = '&nbsp;';
}

$aim_img = ( $profiledata['user_aim'] ) ? '<a href="aim:goim?screenname=' . $profiledata['user_aim'] . '&amp;message=Hello+Are+you+there?"><img src="' . $images['icon_aim'] . '" alt="' . $lang['AIM'] . '" title="' . $lang['AIM'] . '" border="0" /></a>' : '&nbsp;';
$aim = ( $profiledata['user_aim'] ) ? '<a href="aim:goim?screenname=' . $profiledata['user_aim'] . '&amp;message=Hello+Are+you+there?">' . $lang['AIM'] . '</a>' : '&nbsp;';

// <!-- BEGIN easyUCP -->
//$msn_img = ( $profiledata['user_msnm'] ) ? $profiledata['user_msnm'] : '&nbsp;';
//$msn = $msn_img;
$msn_img = ( $profiledata['user_msnm'] ) ? '<img src="' . $images['icon_msnm'] . '" alt="' . $lang['MSNM'] . '&nbsp;=&nbsp; ' . $profiledata['user_msnm'] . '" title="' . $lang['MSNM'] . '&nbsp;=&nbsp;' . $profiledata['user_msnm'] . '" border="0" />' : ''; 
$msn = $msn_img;
// <!-- END easyUCP -->

$yim_img = ( $profiledata['user_yim'] ) ? '<a href="http://edit.yahoo.com/config/send_webmesg?.target=' . $profiledata['user_yim'] . '&amp;.src=pg"><img src="' . $images['icon_yim'] . '" alt="' . $lang['YIM'] . '" title="' . $lang['YIM'] . '" border="0" /></a>' : '';
$yim = ( $profiledata['user_yim'] ) ? '<a href="http://edit.yahoo.com/config/send_webmesg?.target=' . $profiledata['user_yim'] . '&amp;.src=pg">' . $lang['YIM'] . '</a>' : '';

$temp_url = append_sid("search.$phpEx?search_author=" . urlencode($profiledata['username']) . "&amp;showresults=posts");
$search_img = '<a href="' . $temp_url . '"><img src="' . $images['icon_search'] . '" alt="' . sprintf($lang['Search_user_posts'], $profiledata['username']) . '" title="' . sprintf($lang['Search_user_posts'], $profiledata['username']) . '" border="0" /></a>';
$search = '<a href="' . $temp_url . '">' . sprintf($lang['Search_user_posts'], $profiledata['username']) . '</a>';
// <!-- BEGIN easyUCP -->
// Profile Sig
$user_sig = '';
if ( $profiledata['user_attachsig'] && $board_config['allow_sig'] )
{
    include($phpbb_root_path . 'includes/bbcode.'.$phpEx);
    $user_sig = $profiledata['user_sig'];
    $user_sig_bbcode_uid = $profiledata['user_sig_bbcode_uid'];
	if ( $user_sig != '' )
    {
        if ( !$board_config['allow_html'] && $profiledata['user_allowhtml'] )
       	{
       		$user_sig = preg_replace('#(<)([\/]?.*?)(>)#is', "&lt;\\2&gt;", $user_sig);
       	}
    	if ( $board_config['allow_bbcode'] && $user_sig_bbcode_uid != '' )
   		{
   			$user_sig = ( $board_config['allow_bbcode'] ) ? bbencode_second_pass($user_sig, $user_sig_bbcode_uid) : preg_replace('/\:[0-9a-z\:]+\]/si', ']', $user_sig);
   		}
   		$user_sig = make_clickable($user_sig);

        if (!$userdata['user_allowswearywords'])
        {
            $orig_word = array();
            $replacement_word = array();
            obtain_word_list($orig_word, $replacement_word);
            $user_sig = preg_replace($orig_word, $replacement_word, $user_sig);
        }
        if ( $profiledata['user_allowsmile'] )
        {
            $user_sig = smilies_pass($user_sig);
        }
        $user_sig = str_replace("\n", "\n<br />\n", $user_sig);
	    $template->assign_block_vars('switch_user_sig_block', array());
    }
}
$user_about = '';
if ( $profiledata['user_about'] && $page )
{
	include_once($phpbb_root_path . 'includes/bbcode.'.$phpEx);
	$user_about = $profiledata['user_about'];
	$user_about_bbcode_uid = $profiledata['user_about_bbcode_uid'];
	if ($user_about != '' )
	{
		if ( !$board_config['allow_html'] && $profiledata['user_allowhtml'] )
		{
			$user_about = preg_replace('#(<)([\/]?.*?)(>)#is', "&lt;\\2&gt;", $user_about);
		}
		if ( $board_config['allow_bbcode'] && $user_about_bbcode_uid != '' )
		{
			$user_about = ( $board_config['allow_bbcode'] ) ? bbencode_second_pass($user_about, $user_about_bbcode_uid) : preg_replace('/\:[0-9a-z\:]+\]/si', ']', $user_about);
		}
		$user_about = make_clickable($user_about);

		if (!$userdata['user_allowswearywords'])
		{
			$orig_word = array();
			$replacement_word = array();
			obtain_word_list($orig_word, $replacement_word);
			$user_about = preg_replace($orig_word, $replacement_word, $user_about);
		}
		if ( $profiledata['user_allowsmile'] )
		{
			$user_about = smilies_pass($user_about);
		}
		$user_about = str_replace("\n", "\n<br />\n", $user_about);
		$template->assign_block_vars('switch_user_about', array());
    }
}
( $board_config['second_profilpage_group'] == '0' && $profiledata['user_posts'] >= $board_config['second_profilpage_posts'] ) ? $ucp_pref_second_ok = true : $ucp_pref_second_ok = false;
$usergroups = '';
$groups = array();
$sql = 'SELECT g.group_id, g.group_name, g.group_description, g.group_type 
	FROM '.USER_GROUP_TABLE.' as l, '.GROUPS_TABLE.' as g 
	WHERE l.user_pending = 0 AND g.group_single_user = 0 AND l.user_id =' . $profiledata['user_id'] . ' AND g.group_id = l.group_id 
	ORDER BY g.group_name, g.group_id';

if ( !($result = $db->sql_query($sql)) ) message_die(GENERAL_ERROR, 'Could not read groups', '', __LINE__, __FILE__, $sql);	
while ($group = $db->sql_fetchrow($result)) $groups[] = $group;

if (count($groups) > 0)
{
	$template->assign_block_vars("switch_usergroups", array());

	for ($i=0; $i < count($groups); $i++)
	{
( !$ucp_pref_second_ok ) ? (( $board_config['second_profilpage_group'] == $groups[$i]['group_id'] && $profiledata['user_posts'] >= $board_config['second_profilpage_posts'] ) ? $ucp_pref_second_ok = true : '') : '';
		( (($groups[$i]['group_type'] != GROUP_HIDDEN) || ($userdata['user_level'] == ADMIN)) ? $is_ok = true : $is_ok = false );
		if (!$is_ok)
		{
			$group_id = $groups[$i]['group_id'];
			$sql = 'SELECT *
				FROM '.USER_GROUP_TABLE.'
				WHERE group_id=' . $group_id . ' AND user_id=' . $userdata['user_id'] . ' AND user_pending=0';

			if ( !($result = $db->sql_query($sql)) ) message_die(GENERAL_ERROR, 'Couldn\'t obtain viewer group list', '', __LINE__, __FILE__, $sql);
			$is_ok = ( $group = $db->sql_fetchrow($result) );
		}

		( $is_ok ? $usergroups .= '<a href = "' . append_sid("groupcp.php?g=".$groups[$i]['group_id']) . '" alt = "' . $groups[$i]['group_description'] . '" title = "' . $groups[$i]['group_description'] . '">' . $groups[$i]['group_name'] . '</a>' : '');

		( $i < (count($groups) -1) ? $usergroups .= ', ' : '');
	}
}

$sql = "SELECT post_time
	FROM " . POSTS_TABLE . "
	WHERE poster_id = " . $profiledata['user_id'] . "
	ORDER BY post_time DESC
	LIMIT 1";

if ( !($result = $db->sql_query($sql)) ) message_die(GENERAL_ERROR, 'Error getting user last post time', '', __LINE__, __FILE__, $sql);

$last_post_row = $db->sql_fetchrow($result);
$last_post_time = ( isset($last_post_row['post_time']) ) ? create_date($board_config['default_dateformat'], $last_post_row['post_time'], $board_config['board_timezone'] ) : $lang['no_post'];
( isset($last_post_row['post_time']) ) ? $template->assign_block_vars('switch_postings', array()) : '';

$last_visit_time = ($profiledata['user_session_time']) ? create_date($lang['DATE_FORMAT'], $profiledata['user_session_time'], $board_config['board_timezone']) : $lang['never_visited'];
// <!-- END easyUCP -->
// Photo Album Link MOD - Daz - ForumImages.com - START
$temp_url = append_sid("album_personal.$phpEx?user_id=" . $profiledata['user_id']);
$gallery_img = '<a href="' . $temp_url . '"><img src="' . $images['icon_gallery'] . '" alt="' . sprintf($lang['Personal_Gallery_Of_User'], $profiledata['username']) . '" title="' . sprintf($lang['Personal_Gallery_Of_User'], $profiledata['username']) . '" border="0" /></a>';
$gallery = '<a href="' . $temp_url . '">' . sprintf($lang['Personal_Gallery_Of_User'], $profiledata['username']) . '</a>';
// Photo Album Link MOD - Daz - ForumImages.com - END 
// Start add - Birthday MOD
if ($profiledata['user_birthday']!=999999)
{
	include($phpbb_root_path . 'includes/chinese.'.$phpEx);
	$chinese = get_chinese_year( realdate('Ymd', $profiledata['user_birthday']) );
	$u_chinese = $images[$chinese];
	$chinese_img = ($chinese=='Unknown') ? '' : '<img src="' . $u_chinese . '" alt="' . $lang[$chinese] . '" title="' . $lang[$chinese] . '" align="top" border="0" />';
	$user_birthdate = realdate('md', $profiledata['user_birthday']);
	$i=0;
	while ($i<26)
	{
		if ($user_birthdate>=$zodiacdates[$n] && $user_birthdate<=$zodiacdates[$i+1])
		{
			$zodiac = $lang[$zodiacs[($i/2)]];
			$u_zodiac = $images[$zodiacs[($i/2)]];
			$zodiac_img = '<img src="' . $u_zodiac . '" alt="' . $zodiac . '" title="' . $zodiac . '" align="top" border="0" />';
			$i=26;
		} else
		{
			$i=$i+2;
		}
	}

	$user_birthday = realdate($lang['DATE_FORMAT'], $profiledata['user_birthday']);
} else
{
	$user_birthday = $lang['No_birthday_specify'];
}
// End add - Birthday MOD
// Start add - Gender MOD
if ( !empty($profiledata['user_gender'])) 
{ 
           switch ($profiledata['user_gender']) 
           { 
                      case 1: $gender=$lang['Male'];break; 
                      case 2: $gender=$lang['Female'];break; 
                      default:$gender=$lang['No_gender_specify']; 
           } 
} else $gender=$lang['No_gender_specify']; 
// End add - Gender MOD
if ( $profiledata['user_absence'] == TRUE )
{
	$nothing = '';
	$absence_mode = create_absence_mode($profiledata['user_absence_mode'], $pm_img, $pm, $email_img, $email, $nothing, 2);
}
//
// Generate page
//
// <!-- BEGIN easyUCP -->
	if($userdata['user_level'] == ADMIN && $userdata['user_id'] != $profiledata['user_id'] )
	{
		$template->assign_block_vars("switch_admin_userprofile", array());
	}
	if($userdata['user_id'] === $profiledata['user_id'] )
	{
		$template->assign_block_vars("switch_own_profile", array());

		if ( $ucp_pref_second_ok )
		{
			$template->assign_block_vars('switch_own_profile.switch_ucp_page2_button', array());
		}

		if ( $board_config['allow_sig'] )
		{
			$template->assign_block_vars('switch_own_profile.switch_signature_button', array() );
		}
		if ( $userdata['user_allowavatar'] && ( $board_config['allow_avatar_upload'] || $board_config['allow_avatar_local'] || $board_config['allow_avatar_remote'] ) )
		{
			$template->assign_block_vars('switch_own_profile.switch_avatar_button', array() );
		}
	}
// <!-- END easyUCP -->
$page_title = $lang['Viewing_profile'];
include($phpbb_root_path . 'includes/page_header.'.$phpEx);
if (function_exists('get_html_translation_table'))
{
	$u_search_author = urlencode(strtr($profiledata['username'], array_flip(get_html_translation_table(HTML_ENTITIES))));
}
else
{
	$u_search_author = urlencode(str_replace(array('&amp;', '&#039;', '&quot;', '&lt;', '&gt;'), array('&', "'", '"', '<', '>'), $profiledata['username']));
} 
display_upload_attach_box_limits($profiledata['user_id']);
$template->assign_vars(array(
// <!-- BEGIN easyUCP -->
	'EASY_UCP' => $lang['easyUCP'],
'LAST_VISIT' => $last_visit_time,
	'LAST_POST_TIME' => $last_post_time,
	'PROFIL_CONTROL' => $lang['easyUCP_profil_control'],
	'EXTENSION_CONTROL' => $lang['easyUCP_extension_control'],
'REALNAME' => ( $profiledata['user_realname'] ) ? $profiledata['user_realname'] : '<i>'.$lang['no_entry'].'</i>',
// <!-- END easyUCP -->
	'USERNAME' => $profiledata['username'],
	'JOINED' => create_date($lang['DATE_FORMAT'], $profiledata['user_regdate'], $board_config['board_timezone']),
	// Start add - Last visit MOD
	'L_LOGON' => $lang['Last_logon'], 
	'LAST_LOGON' => ($userdata['user_level'] == ADMIN || (!$board_config['hidde_last_logon'] && $profiledata['user_allow_viewonline'])) ? (($profiledata['user_lastlogon'])? create_date($board_config['default_dateformat'], $profiledata['user_lastlogon'], $board_config['board_timezone']):$lang['Never_last_logon']):$lang['Hidde_last_logon'], 

	'L_TOTAL_ONLINE_TIME' => $lang['Total_online_time'],
	'TOTAL_ONLINE_TIME' => make_hours($profiledata['user_totaltime']),
	'L_LAST_ONLINE_TIME' => $lang['Last_online_time'],
	'LAST_ONLINE_TIME' => make_hours($profiledata['user_session_time']-$profiledata['user_lastlogon']),
	'L_NUMBER_OF_VISIT' => $lang['Number_of_visit'],
	'NUMBER_OF_VISIT' => ($profiledata['user_totallogon']>0) ? $profiledata['user_totallogon']: $lang['None'],
	'L_NUMBER_OF_PAGES' => $lang['Number_of_pages'], 
	'NUMBER_OF_PAGES' => ($profiledata['user_totalpages']) ? $profiledata['user_totalpages']: $lang['None'], 
	// End add - Last visit MOD
	'POSTER_RANK' => $poster_rank,
	'RANK_IMAGE' => $rank_image,
	'POSTS_PER_DAY' => $posts_per_day,
	'POSTS' => $profiledata['user_posts'],
	'PERCENTAGE' => $percentage . '%', 
	'POST_DAY_STATS' => sprintf($lang['User_post_day_stats'], $posts_per_day), 
	'POST_PERCENT_STATS' => sprintf($lang['User_post_pct_stats'], $percentage), 

	'SEARCH_IMG' => $search_img,
	'SEARCH' => $search,
	'PM_IMG' => $pm_img,
	'PM' => $pm,
	'EMAIL_IMG' => ( $absence_mode != '' ) ? (( allow_send_to_absent() == TRUE ) ? str_replace($images['icon_email'], $absence_mode, $email_img) : $absence_mode ) : $email_img,
	'EMAIL' => $email,
	'WWW_IMG' => $www_img,
	'WWW' => $www,
	'ICQ_STATUS_IMG' => $icq_status_img,
	'ICQ_IMG' => $icq_img, 
	'ICQ' => $icq, 
	'AIM_IMG' => $aim_img,
	'AIM' => $aim,
	'MSN_IMG' => $msn_img,
	'MSN' => $msn,
	'YIM_IMG' => $yim_img,
	'YIM' => $yim,

	// FLAGHACK-start
	'LOCATION' => $location,
	// FLAGHACK-end
	'OCCUPATION' => ( $profiledata['user_occ'] ) ? $profiledata['user_occ'] : '&nbsp;',
	'INTERESTS' => ( $profiledata['user_interests'] ) ? $profiledata['user_interests'] : '&nbsp;',
// <!-- BEGIN easyUCP -->
'USERGROUPS' => $usergroups,
	'USER_SIG' => $user_sig,
'USER_ABOUT' => $user_about,
// <!-- END easyUCP -->
	// Start add - Gender MOD
	'GENDER' => $gender, 
	// End add - Gender MOD
	// Start add - Birthday MOD
	'BIRTHDAY' => $user_birthday,
	'CHINESE' => $lang[$chinese],
	'CHINESE_IMG' => $chinese_img,
	'U_CHINESE' => $u_chinese,
	'L_CHINESE' => $lang['Chinese_zodiac'],
	'ZODIAC' => $zodiac,
	'ZODIAC_IMG' => $zodiac_img,
	'L_ZODIAC' => $lang['Zodiac'],
	'U_ZODIAC' => $u_zodiac,

	// End add - Birthday MOD
	'AVATAR_IMG' => $avatar_img,
// <!-- BEGIN Userpic -->
	'PROFILEPIC' => '<a href="javascript:void(0)" onclick="window.open(\'profilepic.'.$phpEx.'?u='.$profiledata['user_id'].'&full\', \'_profilepic\', \'width='.($board_config['profilepic_width']+"20").',height='.($board_config['profilepic_height']+"30").',scrollbars=no,resizable=no\')"><img src="profilepic.'.$phpEx.'?u='.$profiledata['user_id'].'" border="0"></a>',
// <!-- END Userpic -->

// <!-- BEGIN easyUCP -->
	'L_PROFILE_ADMIN' => sprintf($lang['Profile_Admin'], $profiledata['username']),
	'L_REGISTRATION_INFO' => $lang['Registration_info'],
	'L_PROFILE_INFO' => $lang['Profile_info'],
'L_SECOND_PROFILEPAGE' => $lang['Second_profilepage'],
	'L_PREFERENCES' => $lang['Preferences'],
	'L_SIGNATURE' => $lang['Signature'],
'L_USER_ABOUT' => $lang['User_about'],
	'L_PROFILE' => strtok($lang['Viewing_user_profile'], ":"), 
	'L_USER' => $profiledata['username'],
'L_USERGROUPS' => $lang['Usergroups'],
	'L_LAST_VISIT' => $lang['last_visit'],
	'L_LAST_POST' => $lang['Last_Post'],
// <!-- END easyUCP -->

	'L_VIEWING_PROFILE' => sprintf($lang['Viewing_user_profile'], $profiledata['username']), 
	'L_ABOUT_USER' => sprintf($lang['About_user'], $profiledata['username']), 
	'L_AVATAR' => $lang['Avatar'],
// <!-- BEGIN Userpic -->
	'L_PROFILEPIC' => $lang['Profilepic'],
// <!-- END Userpic -->
	'L_POSTER_RANK' => $lang['Poster_rank'], 
	'L_JOINED' => $lang['Joined'], 
	'L_TOTAL_POSTS' => $lang['Total_posts'], 
	'L_SEARCH_USER_POSTS' => sprintf($lang['Search_user_posts'], $profiledata['username']), 
	'L_CONTACT' => $lang['Contact'],
	'L_EMAIL_ADDRESS' => ( $profiledata['user_absence'] == TRUE ) ? $lang['User_absence'] : $lang['Email_address'],
	'L_EMAIL' => ( $profiledata['user_absence'] == TRUE ) ? $lang['User_absence'] : $lang['Email'],
	'L_PM' => ( $profiledata['user_absence'] == 0 || allow_send_to_absent() == TRUE ) ? $lang['Private_Message'].':' : '',
	'L_ABSENCE' => ( $profiledata['user_absence'] == TRUE ) ? $lang['User_absence_text'] : '',
	'ABSENCE_MODE' => $absence_mode, 
	'ABSENCE_MESSAGE' => ( $profiledata['user_absence'] == TRUE ) ? $profiledata['user_absence_text'] : '',
	'L_ICQ_NUMBER' => $lang['ICQ'],
	'L_YAHOO' => $lang['YIM'],
	'L_AIM' => $lang['AIM'],
	'L_MESSENGER' => $lang['MSNM'],
	'L_WEBSITE' => $lang['Website'],
	'L_LOCATION' => $lang['Location'],
	'L_OCCUPATION' => $lang['Occupation'],
	'L_INTERESTS' => $lang['Interests'],
// Mighty Gorgon - Full Album Pack - BEGIN
	'ALBUM_IMG' => $album_img,
	'ALBUM' => $album,

	'U_PERSONAL_GALLERY' => append_sid("album.$phpEx?user_id=" . $profiledata['user_id']),
	'L_PERSONAL_GALLERY' => sprintf($lang['Personal_Gallery_Of_User_Profile'], $profiledata['username'], $totalpicrow),

	'U_TOGGLE_VIEW_ALL' => append_sid("album.$phpEx?user_id=" . $profiledata['user_id'] . "&mode=" . ALBUM_VIEW_ALL),
	'TOGGLE_VIEW_ALL_IMG' => $images['mini_all_pic_view_mode'],
	'L_TOGGLE_VIEW_ALL' => sprintf($lang['Show_All_Pic_View_Mode_Profile'], $profiledata['username']),

	'U_ALL_IMAGES_BY_USER' => append_sid("album.$phpEx?user_id=" . $profiledata['user_id'] . "&mode=" . ALBUM_VIEW_LIST),
	'L_ALL_IMAGES_BY_USER' => sprintf($lang['Picture_List_Of_User'], $profiledata['username']),

	'L_PERSONAL_ALBUM' => $lang['Your_Personal_Gallery'],
	'L_PIC_TITLE' => $lang['Pic_Image'],
	'L_POSTER' => $lang['Pic_Poster'],
	'L_POSTED' => $lang['Posted'],
	'L_VIEW' => $lang['View'],
	'TARGET_BLANK' => ($album_config['fullpic_popup']) ? 'target="_blank"' : '',
	'L_NO_PICS' => $lang['No_Pics'],
	'L_RECENT_PUBLIC_PICS' => $lang['Recent_Public_Pics'],
	'S_COLS' => $album_config['cols_per_page'],
	'S_COL_WIDTH' => (100/$album_config['cols_per_page']) . '%',
	// Mighty Gorgon - Full Album Pack - END

	// Start add - Gender MOD
	'L_GENDER' => $lang['Gender'], 
	// End add - Gender MOD
	// Start add - Birthday MOD
	'L_BIRTHDAY' => $lang['Birthday'],
	// End add - Birthday MOD
	'U_SEARCH_USER' => append_sid("search.$phpEx?search_author=" . $u_search_author),

// <!-- BEGIN easyUCP -->
	'U_VIEWING_PROFILE' => append_sid("profile.$phpEx?mode=viewprofile&u=" . $profiledata['user_id']),
	'U_PROFILE_ADMIN' => append_sid("admin/admin_users.$phpEx?mode=edit&amp;u=" . $profiledata['user_id'] . '&amp;sid='.$userdata['session_id']),
'U_SECOND_PROFILE_LINK' => $second_profile_link,

	'S_UCP_ACTION' => append_sid("profile.php?mode=editprofile&u=" . $profiledata['user_id']),
// <!-- END easyUCP -->

	//
	// Photo Album Link MOD - Daz - ForumImages.com - START
	'GALLERY_IMG' => $gallery_img,
	'GALLERY' => $gallery,
	// Photo Album Link MOD - Daz - ForumImages.com - END 
	'S_PROFILE_ACTION' => append_sid("profile.$phpEx"))
);

// Mighty Gorgon - Full Album Pack - BEGIN
if ($album_config['show_all_in_personal_gallery'] == 1)
{
	$template->assign_block_vars('enable_view_toggle', array());
}
// Mighty Gorgon - Full Album Pack - END

$template->pparse('body');

include($phpbb_root_path . 'includes/page_tail.'.$phpEx);

?>